# pcre2_substring_free man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.

## SYNOPSIS

#include <pcre2.h>

void pcre2_substring_free(PCRE2_UCHAR *buffer);

## DESCRIPTION

This is a convenience function for freeing the memory obtained by a previous call to pcre2_substring_get_byname() or pcre2_substring_get_bynumber(). Its only argument is a pointer to the string. If the argument is NULL, the function does nothing.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.

Return to the PCRE2 index page.